> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete User Onboarding

> Completes the onboarding process for a new user after Supabase sign-up.
This includes creating their entry in public.users, personal organization, etc.
Uses service client as user may not exist in public.users yet.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /users/onboarding
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /users/onboarding:
    post:
      tags:
        - users
      summary: Complete User Onboarding
      description: >-
        Completes the onboarding process for a new user after Supabase sign-up.

        This includes creating their entry in public.users, personal
        organization, etc.

        Uses service client as user may not exist in public.users yet.
      operationId: complete_user_onboarding_users_onboarding_post
      responses:
        '204':
          description: Successful Response

````